# ParadisEO-PEOMovingObjects: peoPopEval< EOT > Class Template Reference

# peoPopEval< EOT > Class Template Reference

The peoPopEval class provides the interface for constructing ParadisEO specific evaluation functors. More...

`#include <peoPopEval.h>`

Inheritance diagram for peoPopEval< EOT >:

List of all members.

## Public Member Functions

virtual void | operator() (eoPop< EOT > &__pop)=0
| Interface function providing the signature for constructing an evaluation functor.

## Detailed Description

### template<class EOT>
class peoPopEval< EOT >

The peoPopEval class provides the interface for constructing ParadisEO specific evaluation functors.

The derived classes may be used as wrappers for EO-derived evaluation functors. In order to have an example, please refer to the implementation of the peoSeqPopEval and peoParaPopEval classes.

Definition at line 47 of file peoPopEval.h.

The documentation for this class was generated from the following file:

- peoPopEval.h